﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadComboBoxInRadGridAutomaticLODCS.aspx.cs" Inherits="RadComboBoxInRadGridAutomaticLODCS" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div> 
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
        <telerik:RadGrid ID="RadGrid1" runat="server" Width="600px" DataSourceID="SqlDataSource1"
            OnUpdateCommand="RadGrid1_UpdateCommand" OnDeleteCommand="RadGrid1_DeleteCommand"
            OnInsertCommand="RadGrid1_InsertCommand" AutoGenerateEditColumn="True" GridLines="None"
            AllowSorting="True" AllowPaging="true" PageSize="15" OnItemDataBound="OnItemDataBoundHandler">
            <SortingSettings SortToolTip="" />
            <MasterTableView CommandItemDisplay="Top" AutoGenerateColumns="False" DataKeyNames="ProductID, CategoryID">
                <Columns>
                    <telerik:GridBoundColumn DataField="ProductID" DataType="System.Int32" HeaderText="ProductID"
                        ReadOnly="True" SortExpression="ProductID" UniqueName="ProductID">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName"
                        UniqueName="ProductName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CategoryID" HeaderText="CategoryID" SortExpression="CategoryID"
                        UniqueName="CategoryID" DataType="System.Int32">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CategoryName" HeaderText="CategoryName" SortExpression="CategoryName"
                        UniqueName="CategoryName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="UnitPrice" DataType="System.Decimal" HeaderText="UnitPrice"
                        SortExpression="UnitPrice" UniqueName="UnitPrice">
                    </telerik:GridBoundColumn>
                    <telerik:GridButtonColumn CommandName="Delete" Text="Delete">
                    </telerik:GridButtonColumn>
                </Columns>
                <EditFormSettings EditFormType="Template">
                    <FormTemplate>
                        ProdID
                        <asp:TextBox ID="ProductIDBox" runat="server" Text='<%# Bind("ProductID") %>' Enabled="false"></asp:TextBox><br />
                        ProdName
                        <asp:TextBox ID="ProductNameBox" runat="server" Text='<%# Bind("ProductName") %>' ></asp:TextBox><br />
                        Category
                        <telerik:RadComboBox ID="RadComboBox1" runat="server" Height="200px" EnableAutomaticLoadOnDemand="true"
                            DataTextField="CategoryName" DataValueField="CategoryID" 
                            DataSourceID="SqlDataSource2">
                        </telerik:RadComboBox>
                        <br />
                        Price
                        <asp:TextBox ID="UnitPriceTextBox" runat="server" Text='<%# Bind("UnitPrice") %>'></asp:TextBox>
                        <p>
                        </p>
                        <asp:Button ID="btnUpdate" Text='<%# (Container as GridItem).OwnerTableView.IsItemInserted ? "Insert" : "Update" %>'
                            runat="server" CommandName='<%# (Container as GridItem).OwnerTableView.IsItemInserted ? "PerformInsert" : "Update" %>'>
                        </asp:Button>&nbsp;
                    </FormTemplate>
                </EditFormSettings>
            </MasterTableView>
        </telerik:RadGrid>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:Northwind %>" SelectCommand="SELECT  P.ProductID,  P.ProductName, P.CategoryID, P.UnitPrice, C.CategoryName FROM Categories C INNER JOIN Products P  ON C.CategoryID = P.CategoryID "
            DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID" InsertCommand="INSERT INTO [Products] ([ProductName], [CategoryID], [UnitPrice]) VALUES (@ProductName, @CategoryID, @UnitPrice)"
            UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [CategoryID] = @CategoryID, [UnitPrice] = @UnitPrice WHERE [ProductID] = @ProductID">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:Northwind %>"
            SelectCommand="SELECT [CategoryID], [CategoryName], [Description] FROM [Categories]">
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
