﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="RadComboBoxInFormViewVB.aspx.vb" Inherits="RadComboBoxInFormViewVB" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
     <telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
        <asp:FormView ID="FormView1" runat="server" DataSourceID="SqlDataSource1" AllowPaging="True"
            DataKeyNames="ProductID" OnDataBound="FormView1_DataBound">
            <ItemTemplate>
                ProductID:
                <%# Eval("ProductID") %>
                <br />
                ProductName:
                <%# Eval("ProductName") %>
                <br />
                CategoryName:
                <%# Eval("CategoryName") %>
                <br />
                UnitPrice :
                <%# Eval("UnitPrice") %>
                <br />
                <br />
                <asp:Button ID="btnAdd" runat="server" Text="Add" CommandName="New" />
                <asp:Button ID="btnEdit" runat="server" Text="Edit" CommandName="Edit" />
            </ItemTemplate>
            <EditItemTemplate>
                ProductName:
                <asp:TextBox ID="txtProductName" runat="server" Text='<%# Bind("ProductName") %>'
                    ReadOnly="true"></asp:TextBox>
                CategoryName:
                <telerik:RadComboBox ID="RadComboBox1" runat="server" DataTextField="CategoryName"
                    DataValueField="CategoryID" EnableLoadOnDemand="true" OnItemsRequested="RadComboBox1_ItemsRequested">
                </telerik:RadComboBox>
                UnitPrice:
                <asp:TextBox ID="txtUnitPrice" runat="server" Text='<%# Bind("UnitPrice") %>'></asp:TextBox>
                <br />
                <asp:Button ID="btnAdd" runat="server" Text="Save" CommandName="Update" />
                <asp:Button ID="btnEdit" runat="server" Text="Cancel" CommandName="Cancel" />
            </EditItemTemplate>
            <InsertItemTemplate>
                ProductName:
                <asp:TextBox ID="txtProductName" runat="server"></asp:TextBox>
                CategoryName:
                <telerik:RadComboBox ID="RadComboBox1" runat="server" DataTextField="CategoryName"
                    DataValueField="CategoryID" EnableLoadOnDemand="true" OnItemsRequested="RadComboBox1_ItemsRequested">
                </telerik:RadComboBox>
                UnitPrice:
                <asp:TextBox ID="txtUnitPrice" runat="server"></asp:TextBox>
                <asp:Button ID="btnAdd" runat="server" Text="Save" CommandName="Insert" />
                <asp:Button ID="btnEdit" runat="server" Text="Cancel" CommandName="Cancel" />
            </InsertItemTemplate>
        </asp:FormView>
        <br />
        <br />
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:Northwind %>"
            SelectCommand="SELECT  P.ProductID,  P.ProductName, P.CategoryID, P.UnitPrice, C.CategoryName FROM Categories C INNER JOIN Products P  ON C.CategoryID = P.CategoryID "
            DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID" InsertCommand="INSERT INTO [Products] ([ProductName], [CategoryID], [UnitPrice]) VALUES (@ProductName, @CategoryID, @UnitPrice)"
            UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [CategoryID] = @CategoryID, [UnitPrice] = @UnitPrice WHERE [ProductID] = @ProductID">
            <UpdateParameters>
                <asp:ControlParameter Name="ProductName" ControlID="FormView1$txtProductName" PropertyName="Text" />
                <asp:ControlParameter Name="CategoryID" ControlID="FormView1$RadComboBox1" PropertyName="SelectedValue" />
                <asp:ControlParameter Name="UnitPrice" ControlID="FormView1$txtUnitPrice" PropertyName="Text" />
            </UpdateParameters>
            <InsertParameters>
                <asp:ControlParameter Name="ProductName" ControlID="FormView1$txtProductName" PropertyName="Text" />
                <asp:ControlParameter Name="CategoryID" ControlID="FormView1$RadComboBox1" PropertyName="SelectedValue" />
                <asp:ControlParameter Name="UnitPrice" ControlID="FormView1$txtUnitPrice" PropertyName="Text" />
            </InsertParameters>
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
